body div.box9,
body .nav,
body .page-width {
    max-width: 100%;
	width: auto;
}

body .products-table-price {width: 50px;}
body .products-table-all .products-table-sku.model_num {width: 120px;}
body .products-table-category {width: 135px;}
body .products-table-all .products-table-manufacturer {max-width: 120px;}
body .products-table-all .products-table-type {width: 62px;}
body .products-table-all .products-table-title {width: 370px;}